Bug 1404996 - gNFS: nfs.disable option to be set to off on existing volumes after upgrade to 3.2 and on for new volumes on 3.2
Summary: gNFS: nfs.disable option to be set to off on existing volumes after upgrade t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nfs
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1351528 1351530
TreeView+ depends on / blocked
 
Reported: 2016-12-15 10:36 UTC by surabhi
Modified: 2017-04-10 11:15 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.8.4-9
Doc Type: Release Note
Doc Text:
As of Red Hat Gluster Storage 3.2, Gluster Native NFS server is disabled when creating a new volume. Administrators can either use NFS-Ganesha with new volumes, or continue using Native NFS server by enabling it manually. Existing volumes that use Gluster Native NFS are not modified in order to prevent disruptions during upgrade.
Clone Of:
Environment:
Last Closed: 2017-03-23 05:57:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description surabhi 2016-12-15 10:36:55 UTC
Description of problem:
************************

After upgrade The gnfs option on volume needs to be enabled if it was already enabled before upgrade and there should not be any question/prompt regarding ganesha.

For the new volumes the option should be disabled.

option in question : 
Currently : nfs.disable : on
Expected : nfs.disable : off  for existing volumes.

For new volumes after upgrade to 3.2 
nfs.disable: on

Version-Release number of selected component (if applicable):
glusterfs-3.8.4-8.el7rhgs.x86_64


How reproducible:


Steps to Reproduce:


Actual results:


Expected results:


1. The existing volumes on 3.1.3 if the nfs.disable option was set to off , even after upgrade it should be off.
2. On the new volumes after upgrade to 3.2 should have nfs.disable to on.




Additional info:
This is as per discussion in planning meetings last week.

Comment 4 Atin Mukherjee 2016-12-16 12:55:35 UTC
https://code.engineering.redhat.com/gerrit/#/c/93146 is a downstream only patch and now merged into the code base.

Comment 7 Manisha Saini 2017-01-16 09:04:42 UTC
Verified this Bug on 

glusterfs-cli-3.8.4-11.el7rhgs.x86_64

After Upgrade,nfs.disable option was set to "off" on existing volume in 3.1.3 and nfs.disable option is set to "on" on new volume created in 3.2

Comment 10 errata-xmlrpc 2017-03-23 05:57:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.